Bug 1443007 (CVE-2017-3511) - CVE-2017-3511 OpenJDK: untrusted extension directories search path in Launcher (JCE, 8163528)
Summary: CVE-2017-3511 OpenJDK: untrusted extension directories search path in Launche...
Status: CLOSED ERRATA
Alias: CVE-2017-3511
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170418,repor...
Keywords: Security
Depends On:
Blocks: 1438752
TreeView+ depends on / blocked
 
Reported: 2017-04-18 09:36 UTC by Tomas Hoger
Modified: 2018-08-01 17:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An untrusted library search path flaw was found in the JCE component of OpenJDK. A local attacker could possibly use this flaw to cause a Java application using JCE to load an attacker-controlled library and hence escalate their privileges.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-10 13:47:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1108 normal SHIPPED_LIVE Moderate: java-1.8.0-openjdk security and bug fix update 2017-04-21 06:10:52 UTC
Red Hat Product Errata RHSA-2017:1109 normal SHIPPED_LIVE Moderate: java-1.8.0-openjdk security update 2017-04-20 23:27:18 UTC
Red Hat Product Errata RHSA-2017:1117 normal SHIPPED_LIVE Moderate: java-1.8.0-oracle security update 2017-12-14 20:17:15 UTC
Red Hat Product Errata RHSA-2017:1118 normal SHIPPED_LIVE Moderate: java-1.7.0-oracle security update 2017-12-14 19:52:56 UTC
Red Hat Product Errata RHSA-2017:1204 normal SHIPPED_LIVE Moderate: java-1.7.0-openjdk security update 2017-05-09 14:46:54 UTC
Red Hat Product Errata RHSA-2017:1220 normal SHIPPED_LIVE Moderate: java-1.8.0-ibm security update 2017-05-10 16:44:34 UTC
Red Hat Product Errata RHSA-2017:1221 normal SHIPPED_LIVE Moderate: java-1.7.1-ibm security update 2017-05-10 16:44:04 UTC
Red Hat Product Errata RHSA-2017:3453 normal SHIPPED_LIVE Important: java-1.8.0-ibm security update 2017-12-13 21:48:15 UTC

Description Tomas Hoger 2017-04-18 09:36:35 UTC
A untrusted library search path flaw was found in the JCE (Java Cryptography Extension) component of OpenJDK, caused by a problem with the handling of paths to extension directories in the sun.misc.Launcher class.  A local attacker could possibly use this flaw to cause a Java application using JCE to load an attacker-controlled library and therefore escalate their privileges.

Comment 1 Tomas Hoger 2017-04-18 22:17:39 UTC
Public now via Oracle CPU April 20167, fixed in Oracle JDK 8u131 and 7u141.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html#AppendixJAVA

Comment 2 Tomas Hoger 2017-04-19 11:31:14 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/af0e709d28f9

Comment 3 errata-xmlrpc 2017-04-20 19:27:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1109 https://access.redhat.com/errata/RHSA-2017:1109

Comment 4 errata-xmlrpc 2017-04-21 02:11:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1108 https://access.redhat.com/errata/RHSA-2017:1108

Comment 5 errata-xmlrpc 2017-04-24 11:17:07 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1118 https://access.redhat.com/errata/RHSA-2017:1118

Comment 6 errata-xmlrpc 2017-04-24 11:18:02 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1117 https://access.redhat.com/errata/RHSA-2017:1117

Comment 7 errata-xmlrpc 2017-05-09 10:47:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1204 https://access.redhat.com/errata/RHSA-2017:1204

Comment 8 errata-xmlrpc 2017-05-10 12:48:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1221 https://access.redhat.com/errata/RHSA-2017:1221

Comment 9 errata-xmlrpc 2017-05-10 12:51:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1220 https://access.redhat.com/errata/RHSA-2017:1220

Comment 10 errata-xmlrpc 2017-12-13 16:50:40 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453


Note You need to log in before you can comment on or make changes to this bug.